package controller;

import java.awt.Color;
import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.Icon;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

/**
 * Class for rendering images into JList cells.
 * @author Johann Houszka 0625523
 */
public class ImageCellRenderer implements ListCellRenderer {
	protected DefaultListCellRenderer defaultRenderer = new DefaultListCellRenderer();
	private Icon icon;
	
	/* (non-Javadoc)
	 * @see javax.swing.ListCellRenderer#getListCellRendererComponent(javax.swing.JList, java.lang.Object, int, boolean, boolean)
	 */
	public Component getListCellRendererComponent(JList list, Object value,
			int index, boolean isSelected, boolean cellHasFocus) {
		icon = null;
		String text = null;

		JLabel renderer = (JLabel) defaultRenderer
				.getListCellRendererComponent(list, value, index, isSelected,
						cellHasFocus);

		if (value instanceof Object[]) {
			Object values[] = (Object[]) value;
			icon = (Icon) values[0];
			text = (String) values[1];
		} else {
			text = "";
		}
		if (!isSelected) {
			renderer.setForeground(Color.LIGHT_GRAY);
		}
		if (icon != null) {
			renderer.setIcon(icon);
		}
		renderer.setText(text);
		return renderer;
	}
	
	/**
	 * Returns the Icon.
	 * @return
	 */
	public Icon getIcon() {
		return this.icon;
	}
}
