package controller;

public class OSValidator {
 
	private static String OS = System.getProperty("os.name").toLowerCase();
	private boolean isWindows = false;
	private boolean isMac = false;
	private boolean isUnix = false;
	private boolean isSolaris = false;
	
	public OSValidator() {
 
		System.out.println(OS);
 
		if (isWindows()) {
			System.out.println("This is Windows");
			this.isWindows = true;
		} else if (isMac()) {
			System.out.println("This is Mac");
			this.isMac = true;
		} else if (isUnix()) {
			System.out.println("This is Unix or Linux");
			this.isUnix = true;
		} else if (isSolaris()) {
			System.out.println("This is Solaris");
			this.isSolaris = true;
		} else {
			System.out.println("Your OS is not support!!");
		}
	}
 
	public static boolean isWindows() {
 
		return (OS.indexOf("win") >= 0);
 
	}
 
	public static boolean isMac() {
 
		return (OS.indexOf("mac") >= 0);
 
	}
 
	public static boolean isUnix() {
 
		return (OS.indexOf("nix") >= 0 || OS.indexOf("nux") >= 0 || OS.indexOf("aix") > 0 );
 
	}
 
	public static boolean isSolaris() {
 
		return (OS.indexOf("sunos") >= 0);
 
	}
	
	public boolean isWindowsOS() {
		return this.isWindows;
	}
	public boolean isMacOS() {
		return this.isMac;
	}
	public boolean isUnixOS() {
		return this.isUnix;
	}
	public boolean isSolarisOS() {
		return this.isSolaris;
	}
}