package controller;

import java.io.File;
import java.io.IOException;

import org.ini4j.InvalidFileFormatException;
import org.ini4j.Wini;

/**
 * Simple ini handling Class
 * @author matthias eigner
 *
 */
public class Settings {
	private Wini ini;
	
	public Settings(){
		try {
			this.ini = new Wini(new File("ini/config.ini"));
			//System.out.println("ini-Pfad: " + this.getClass().getClassLoader().getResource("").getPath());
			//this.ini = new Wini(new File(this.getClass().getClassLoader().getResource("").getPath() + "ini/config.ini"));;
			
					
		} catch (InvalidFileFormatException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	/**
	 * returnes the Path to given lib
	 * @param name
	 * @return
	 */
	public String getLibPath(String name){
		return this.getStringVar("libs", name);
	}
	
	/**
	 * returnes String from iniFile by given chapter and name
	 * @param chapter |chapter of the ini-file [chapter]
	 * @param name | name of the variable
	 * @return
	 */
	public String getStringVar(String chapter, String name){
		return this.ini.get(chapter, name, String.class);
	}
}
