package effects;

import java.util.LinkedList;
import java.util.List;

import player.Player;

/**
 * EffectFacotry class. This class is used to communicate with other functions of the application.
 * @author Matthias Eigner
 * 
 */
public class EffectFactory {
	
	private List<Effect> effects;
	
	/**
	 * Constructor of this class.
	 * @param player
	 */
	public EffectFactory(Player player) {
		effects = new LinkedList<Effect>();
		
		effects.add(new EffectOriginal());
		effects.add(new EffectBlackNWhite());
		effects.add(new EffectSaturation());
		effects.add(new EffectInvert());
		//effects.add(new EffectFisheye());
	}
	
	/**
	 * Returns list of effects.
	 * @return List<Effects>
	 */
	public List<Effect> getEffects() {
		return effects;
	}
	
	/**
	 * Returns effect from name.
	 * @param name
	 * @return Effect effect
	 */
	public Effect getEffectByName(String name) {
		Effect r = null;
		for(int i=0; i < this.effects.size(); i++) {
			if(this.effects.get(i).getDisplayName() == name) r = this.effects.get(i);
		}
		return r;
	}
	
}
