package effects;


/**
 * Hue bestimmt den Farbton.
 * Man unterscheidet Farbempfindungen in Rot, Gelb und Grn.
 * 
 * @author Johann Houszka 0625523
 */
public class EffectHue extends Effect implements IEffect {

	/**
	 * Constructor of this class.
	 */
	public EffectHue() {
		super();
		this.setDisplayName("Hue");
	}

	/* (non-Javadoc)
	 * @see effects.Effect#applyEffect(int[])
	 */
	@Override
	public int[] applyEffect(int[] data) {
		int argb, r, g, b;
		float[] hsv;
		for (int i = 0; i < data.length; i++) {
			argb = data[i];
			b = (argb & 0xFF);
			g = ((argb >> 8) & 0xFF);
			r = ((argb >> 16) & 0xFF);
			
			hsv = this.rgb2hsv(r, g, b);
			
			hsv[0] += .3;
			if(hsv[0] > 1) hsv[0]-=1;
			
			data[i] = this.hsv2rgb(hsv[0], hsv[1], hsv[2]);
		}
		return data;
	}

}
