package model;
/**
 * Title class
 * @author matthias eigner
 *
 */
public class Title {
	private String content;
	private int font;
	private String color;
	private int size;
	private long start;
	private long duration;
	private int x;
	private int y;
	
	/**
	 * Constructor of this class.
	 * @param content
	 * @param font
	 * @param color
	 * @param size
	 * @param start
	 * @param duration
	 * @param x
	 * @param y
	 */
	public Title(String content, int font, String color, int size, long start, long duration, int x, int y){
		this.content = content;
		this.font = font;
		this.color = color;
		this.size = size;
		this.start = start;
		this.duration = duration;
		this.x = x;
		this.y = y;
	}
	
	/**
	 * Returns the Text of the Title.
	 * @return
	 */
	public String getContent() {
		return content;
	}
	
	/**
	 * Sets the Content of the Title.
	 * @param content
	 */
	public void setContent(String content) {
		this.content = content;
	}
	
	/**
	 * Returns the font for the title.
	 * @return
	 */
	public int getFont() {
		return font;
	}
	
	/**
	 * Sets the font for the title.
	 * @param font
	 */
	public void setFont(int font) {
		this.font = font;
	}
	
	/**
	 * Returns the color for the title.
	 * @return
	 */
	public String getColor() {
		return color;
	}
	
	/**
	 * Sets the color for the title.
	 * @param color
	 */
	public void setColor(String color) {
		this.color = color;
	}
	
	/**
	 * Returns the fontsize of the title.
	 * @return
	 */
	public int getSize() {
		return size;
	}
	
	/**
	 * Sets the fontsize for the title.
	 * @param size
	 */
	public void setSize(int size) {
		this.size = size;
	}
	
	/**
	 * Returns the start of the title (in ms).
	 * @return
	 */
	public long getStart() {
		return start;
	}
	
	/**
	 * Sets the start of the title (in ms).
	 * @param start
	 */
	public void setStart(long start) {
		this.start = start;
	}
	
	/**
	 * Returns the duration of the Title (in ms)
	 * @return
	 */
	public long getDuration() {
		return duration;
	}
	
	/**
	 * Sets the duration of the Title (in ms).
	 * @param duration
	 */
	public void setDuration(long duration) {
		this.duration = duration;
	}

	/**
	 * Returns the position-x of the title.
	 * @return
	 */
	public int getX() {
		return x;
	}

	/**
	 * Sets the position-x of the title.
	 * @param x
	 */
	public void setX(int x) {
		this.x = x;
	}

	/**
	 * Returns the position-y of the title.
	 * @return
	 */
	public int getY() {
		return y;
	}

	/**
	 * Sets the position-y of the title.
	 * @param y
	 */
	public void setY(int y) {
		this.y = y;
	}
}
