package view;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.BufferedImage;

import javax.swing.ImageIcon;
import javax.swing.JPanel;

/**
 * Image Panel class.
 * @author Johann Houszka 0625523
 *
 */
public class ImagePanel extends JPanel {

	private static final long serialVersionUID = 1L;

	private Image img;
	private Image startimg;
	
	/**
	 * Constructor of this class.
	 * Input parameter is String img.
	 * @param img
	 */
	public ImagePanel(String img) {
		this(new ImageIcon(img).getImage());
		this.startimg = new ImageIcon(img).getImage();
	}

	/**
	 * Constructor of this class. 
	 * Input parameter is Image img.
	 * @param img
	 */
	public ImagePanel(Image img) {
		this.img = img;
		this.startimg = this.img;
		Dimension size = new Dimension(img.getWidth(null), img.getHeight(null));
		setPreferredSize(size);
		setMinimumSize(size);
		setMaximumSize(size);
		setSize(size);
		setLayout(null);
	}
	
	/**
	 * Changes image to committed parameter 'img'.
	 * @param img
	 */
	public void changeImage(BufferedImage img) {
		this.img = null;
		this.validate();
		this.repaint();
		this.img = img; 
		this.validate();
		this.repaint();
	}
	
	/**
	 * Sets image to standard (start) image.
	 */
	public void setStandardImage() {
		this.img = null;
		this.validate();
		this.repaint();
		this.img = startimg;
		this.validate();
		this.repaint();
	}

	/* (non-Javadoc)
	 * @see javax.swing.JComponent#paintComponent(java.awt.Graphics)
	 */
	public void paintComponent(Graphics g) {
		Dimension d = getSize();
		g.drawImage(img, 0, 0, d.width, d.height, null);
	}
}
