package view;

import java.awt.Dimension;
import java.awt.HeadlessException;
import java.awt.Image;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

/**
 * PlayerAboutDialog class.
 * @author Johann Houszka
 *
 */
public class PlayerAboutDialog {
	
	private PlayerMainPanel mainPanel;
	
	/**
	 * Constructor of this class.
	 * Instantiates AboutDialog.
	 * @param PlayerMainPanel mainPanel
	 */
	public PlayerAboutDialog(PlayerMainPanel mainPanel) {
		this.mainPanel = mainPanel;
		
		createUI();
	}
	
	/**
	 * Creates UI for this Dialog.
	 */
	private void createUI() {
		
		JLabel author_lbl = new JLabel("Autor");
		
		JPanel aboutPanel = new JPanel();
		aboutPanel.setLayout(null);
		aboutPanel.setPreferredSize(new Dimension(260, 180));
		aboutPanel.add(author_lbl);
		
		String[] choices = {"OK"};
		//icon from: http://www.tuwien.ac.at/fileadmin/t/tuwien/downloads/cd/CD_NEU_2009/TU_Logos_2009/TU-Signet.png
		ImageIcon icon = new ImageIcon("img/icons/TU-Signet.png");
		icon.setImage(icon.getImage().getScaledInstance(60, 60, Image.SCALE_FAST));
		
		try {
			JOptionPane.showOptionDialog(
			        mainPanel.getMainFrame()                    
			      , "Vienna University of Technology" + "\n\r" + "Johann Houszka, Matthias Eigner" + "\n\r" + "2013" + "\n\r" + " under GNU GPL v3 "    
			      , "About"            
			      , JOptionPane.OK_OPTION 
			      , JOptionPane.PLAIN_MESSAGE
			      , icon               
			      , choices                   
			      , "About"  
			    );
		} catch (HeadlessException e) {
			e.printStackTrace();
		}
			
	}

}
