package view;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;

import javax.swing.JPanel;

import model.Timeline;
import player.Player;

 /**
  * Class for constructing the TimelinePanel.
  * @author Johann Houszka 0625523, Matthias Eigner
  *
  */
public class PlayerTimelinePanel extends JPanel{

	/**
	 * Default ID
	 */
	private static final long serialVersionUID = 1L;
	
	private PlayerMainPanel mainPanel;
	private PlayerListener listener;
	private JPanel timelinePanel;
	private Timeline timeline;
	
	/**
	 * Constructor of this class.
	 * @param Player player
	 * @param PlayerMainPanel mainPanel
	 */
	public PlayerTimelinePanel (Player player, PlayerMainPanel mainPanel) {
		this.mainPanel = mainPanel;
		this.listener = mainPanel.getListener();
		
		createUI();
	}
	
	/**
	 * Creates the UI for this class.
	 */
	private void createUI() {
		timelinePanel = new JPanel();
		timelinePanel.setLayout(new BorderLayout());
		timelinePanel.setPreferredSize(new Dimension(600, 20));
		timelinePanel.setBackground(new Color(220, 220, 220));
		setLayout(new BorderLayout());
		
		timeline = new Timeline(this.mainPanel);
		timeline.setValue(0);
		timeline.setToolTipText("Position");
		
		timelinePanel.add(timeline, BorderLayout.CENTER);
		timeline.addMouseListener(listener.getMouseListener());
		
		add(timelinePanel, BorderLayout.SOUTH);
	}
	
	/**
	 * Returns this timeline Object.
	 * @return Timeline timeline
	 */
	public Timeline getTimeline() { return this.timeline; }
	
}
